Bem-vindo: Qua, 17 de Julho 2019, 14:10 Pesquisa avançada

Como instalar o pacote anterior de um aplicativo

Secção relativa a ajustes! Divulgue aqui qualquer tipo de ajuste que possa melhorar/agilizar o sistema ou algum programa. Seja o mais detalhado possível na descrição do procedimento! Em caso de dúvida em algum ajuste pergunte nesta secção!

Como instalar o pacote anterior de um aplicativo

Mensagempor Ron Alon » Sáb, 20 de Outubro 2012, 5:26

Uma das praticidades do Ubuntu está no seu gerenciador de atualizações. Ele é o responsável por manter todos os pacotes em dia, garantindo que você esteja sempre com a última versão dos seus aplicativos instalada no computador. Porém, nem sempre as coisas saem como um desenvolvedor espera e você pode ter problemas.

Um novo pacote pode conter problemas que interfiram no funcionamento da aplicação no Ubuntu. Para evitar esse tipo de situação, você sempre pode recorrer a uma versão anterior, ao menos até que o programa fique estável. Neste tutorial, vamos ensinar como fazer um “downgrade”, ou seja, utilizar o pacote anterior de um aplicativo na distribuição do Linux.
Voltando ao anterior

Antes, gostaríamos de esclarecer que esta técnica só é possível devido ao fato de o sistema operacional armazenar várias versões de um pacote no seu repositório. Dessa maneira, quando o Ubuntu faz uma atualização, na verdade ele “adiciona” o novo aplicativo em um diretório especialmente desenvolvido para tal.

Ainda assim, o antigo permanece no repositório central, permitindo que você possa voltar a versão anterior de um aplicativo. Porém, isso só pode ser feito na interface gráfica por meio do gerenciador de pacotes “Synaptic” do Ubuntu.

Mãos à obra




Primeiro, é necessário instalar o gerenciador de pacotes “Synaptic” (o que pode ser feito por meio da Central de Software do Ubuntu). Clique no botão da Central de Software e diginte “synaptic” no campo de busca. Localize o aplicativo na lista e utilize o botão de instalação para concluir o processo.



Após a instalação, abra o Synaptic a partir do gerenciador de aplicativos.



Uma vez aberto o Synaptic, localize uma versão mais antiga do aplicativo que você quer instalar digitando uma palavra-chave no campo de busca presente na interface do programa. Em seguida, selecione-o, clicando nele.



Então, acesse o menu “Pacotes” e escolha a opção “Forçar versão”.



Veja que uma nova janela é aberta. Ali, você deve escolher a versão desejada, na caixa de seleção “Forçar versão”, e clicar no botão “Forçar versão” para concluir.



Feito isso, clique em “Aplicar” para que as suas alterações sejam armazenadas pelo sistema (caso contrário, ele continuará com o pacote mais recente).



Agora, vamos garantir que, por mais que haja atualizações, o programa selecionado continue na versão que você escolheu. Para isso, vamos bloquear as alterações. Ainda com o aplicativo selecionado na lista do Synaptic, entre no menu “Pacotes” e clique em “Bloquear versão”.



Dessa forma, você garante que o Ubuntu não tente fazer a atualização desse programa na próxima vez que for executada uma atualização dos pacotes instalados.

Referências



Avatar do usuário
Ron Alon
Redator Geekzinho
 
Mensagens: 4145
Registrado em: 27 Julho, 2011
Localização: São Vicente-SP / Brasil

Tópicos Similares:

Voltar para Tweaks/Ajustes ao sistema ou a programas

Quem está online

Usuários navegando neste fórum: Nenhum usuário registrado e 6 visitantes